
Sub Send_to_com()

Include "CDC_Descriptor.inc"    ' Include the CDC descriptors and the USB routines
Symbol Carry_Flag = STATUS.0    ' Set if microcontroller does not have control over the buffer

    DelayMS 10                                      ' Wait for things to stabilise
    USBInit                                         ' Initialise the USB peripheral

    Repeat                                          ' \
        USBPoll                                     '   Wait for the USB interface to become attached
    Until USB_tConnected = 1 Or USB_tConfigured = 1 ' /

    Do
        
        Repeat
            USBOut 3, Buffer, Auto ' Poll the USB and transmit the string from endpoint 3

        Until Carry_Flag = 0       ' Keep trying if the microcontroller does not have control over the buffer

   Loop

    
EndSub
'------------------------------------------------------------------------

